Bug 1746581 - Gem loading error when enabling infoblox plugins
Summary: Gem loading error when enabling infoblox plugins
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Infoblox integration
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent vote
Target Milestone: 6.6.0
Assignee: Lukas Zapletal
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks: 1720200
TreeView+ depends on / blocked
 
Reported: 2019-08-28 20:24 UTC by Perry Gagne
Modified: 2019-10-22 12:48 UTC (History)
0 users

Fixed In Version: smart_proxy_dhcp_infoblox-0.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:06 UTC

Description Perry Gagne 2019-08-28 20:24:17 UTC
Description of problem: When configuring infoblox plugins using the installer an error occurs when trying to load the infoblox gem. 


Version-Release number of selected component (if applicable): 6.6. snap 17


How reproducible: Always


Steps to Reproduce:
1. Run installer with infoblox options 

Actual results:
Installer error with:
Aug 28 14:20:12 satellite.example.com smart-proxy[4369]: /usr/share/gems/gems/bundler_ext-0.4.1/lib/bundler_ext/output.rb:13:in `strict_err': Gem loading error: Could not find 'infoblox' (>= 2.0.4, ~> 2.0) - did find: [infoblox-3.0.0] (RuntimeError)

Expected results:
Installer success. 

Additional info:
Attached foreman debug.

Comment 4 Lukas Zapletal 2019-08-30 09:08:57 UTC
BLOCKER, fixed in smart_proxy_dhcp_infoblox-0.0.15 (DNS should be fine).

Comment 5 Perry Gagne 2019-09-09 19:02:59 UTC
Verified fix in sat 6.6 snap 19. 

Was able to configure infoblox plugin on both satellite and external capsule.

Comment 7 errata-xmlrpc 2019-10-22 12:47:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.